Unit _DOI_;
interface

uses sysutils,windows,messages,classes,graphics,
controls,forms,dialogs,stdctrls,buttons,
extctrls,menus,comctrls,clipbrd,toolwin,
actnlist,imglist,colorgrd,xpman,remain;
Type TDOIForm = class(TForm)
published

Btn_TMainForm : TButton;

procedure Btn_TMainFormClick(Sender : TObject);

end;
var

Typ_Pointer : Pointer;
Typ_TObject : TObject;
Typ_Boolean : Boolean;
Typ_TMouseButton : TMouseButton;
Typ_TShiftState : TShiftState;
Typ_Integer : Integer;
Typ_TBasicAction : TBasicAction;

type
Cust_TMainForm = Class (TMainForm);


var DOIForm : TDOIForm;

implementation
{$R *.DFM}

procedure TDOIForm.Btn_TMainFormClick(Sender : TObject);
var s : String;
inst : Cust_TMainForm;
begin
s:='TForm';
s:='SelectionChange(TObject)';
inst.SelectionChange(Typ_TObject);
s:='FormCreate(TObject)';
inst.FormCreate(Typ_TObject);
s:='ShowHint(TObject)';
inst.ShowHint(Typ_TObject);
s:='FileNew(TObject)';
inst.FileNew(Typ_TObject);
s:='FileOpen(TObject)';
inst.FileOpen(Typ_TObject);
s:='FileSave(TObject)';
inst.FileSave(Typ_TObject);
s:='FileSaveAs(TObject)';
inst.FileSaveAs(Typ_TObject);
s:='FilePrint(TObject)';
inst.FilePrint(Typ_TObject);
s:='FileExit(TObject)';
inst.FileExit(Typ_TObject);
s:='EditUndo(TObject)';
inst.EditUndo(Typ_TObject);
s:='EditCut(TObject)';
inst.EditCut(Typ_TObject);
s:='EditCopy(TObject)';
inst.EditCopy(Typ_TObject);
s:='EditPaste(TObject)';
inst.EditPaste(Typ_TObject);
s:='HelpAbout(TObject)';
inst.HelpAbout(Typ_TObject);
s:='SelectFont(TObject)';
inst.SelectFont(Typ_TObject);
s:='RulerResize(TObject)';
inst.RulerResize(Typ_TObject);
s:='FormResize(TObject)';
inst.FormResize(Typ_TObject);
s:='FormPaint(TObject)';
inst.FormPaint(Typ_TObject);
s:='BoldButtonClick(TObject)';
inst.BoldButtonClick(Typ_TObject);
s:='ItalicButtonClick(TObject)';
inst.ItalicButtonClick(Typ_TObject);
s:='FontSizeChange(TObject)';
inst.FontSizeChange(Typ_TObject);
s:='AlignButtonClick(TObject)';
inst.AlignButtonClick(Typ_TObject);
s:='FontNameChange(TObject)';
inst.FontNameChange(Typ_TObject);
s:='UnderlineButtonClick(TObject)';
inst.UnderlineButtonClick(Typ_TObject);
s:='BulletsButtonClick(TObject)';
inst.BulletsButtonClick(Typ_TObject);
s:='FormCloseQuery(TObject,Boolean)';
inst.FormCloseQuery(Typ_TObject,Typ_Boolean);
s:='RulerItemMouseDown(TObject,TMouseButton,TShiftState,Integer,Integer)';
inst.RulerItemMouseDown(Typ_TObject,Typ_TMouseButton,Typ_TShiftState,Typ_Integer,Typ_Integer);
s:='RulerItemMouseMove(TObject,TShiftState,Integer,Integer)';
inst.RulerItemMouseMove(Typ_TObject,Typ_TShiftState,Typ_Integer,Typ_Integer);
s:='FirstIndMouseUp(TObject,TMouseButton,TShiftState,Integer,Integer)';
inst.FirstIndMouseUp(Typ_TObject,Typ_TMouseButton,Typ_TShiftState,Typ_Integer,Typ_Integer);
s:='LeftIndMouseUp(TObject,TMouseButton,TShiftState,Integer,Integer)';
inst.LeftIndMouseUp(Typ_TObject,Typ_TMouseButton,Typ_TShiftState,Typ_Integer,Typ_Integer);
s:='RightIndMouseUp(TObject,TMouseButton,TShiftState,Integer,Integer)';
inst.RightIndMouseUp(Typ_TObject,Typ_TMouseButton,Typ_TShiftState,Typ_Integer,Typ_Integer);
s:='FormShow(TObject)';
inst.FormShow(Typ_TObject);
s:='RichEditChange(TObject)';
inst.RichEditChange(Typ_TObject);
s:='SwitchLanguage(TObject)';
inst.SwitchLanguage(Typ_TObject);
s:='ActionList2Update(TBasicAction,Boolean)';
inst.ActionList2Update(Typ_TBasicAction,Typ_Boolean);
s:='ToolButton3Click(TObject)';
inst.ToolButton3Click(Typ_TObject);
end;



end.
